Skip to main content
GET
List All Discount Tickets

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

subscription
string
required

Limit the discount ticket list to a specified subscription id or vid A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
account
string

Limit the discount ticket list to a specified account id or vid A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
fetch_all
boolean

A boolean parameter that allows you to list all the discount tickets including ones there are in inactive or redemption failed states.

include_subscription_tickets
boolean

A boolean parameter that indicates whether to return discount tickets for subscriptions

include_transaction_tickets
boolean

A boolean parameter that indicates whether to return discount tickets for transactions

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Response

JSON - A list array with a data property that contains an array of Discount Tickets per an Account or Subscription, starting after the specified starting_after (or ending before the specified ending_before Discount Ticket).

A list of DiscountTickets objects matching the query. Also:

  • "total_count": Integer count of the number of Discount Tickets in the returned list.

  • "url": The query string provided in the request

  • "next": The route (partial URL) to the next Discount Ticket object (string to select the "next"); included id should match that of the last object returned here

  • "previous": The route (partial URL) to the previous Discount Ticket object (string to select the "previous"); included id should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Discount Ticket object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Discount Ticket object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"DiscountTicket\", \"id\": \"DIST_STlYDJVoREr3ac47jzf8_DA14Jg\", \"vid\": \"c9512b9217274f037b29e57640bf5070fe564fcc\", \"state\": \"Active\", \"added_date\": \"2021-06-18T13:49:51-07:00\", \"start_billing_sequence\": 0, \"end_billing_sequence\": 0, \"campaign_id\": \"PROMO1_campaign_mbjUhpf-vf_dV1wabhfexablOb4\" }, { \"object\": \"DiscountTicket\", \"id\": \"DIST_STlYDJVoREr3ac47jzf8_DA13Kt\", \"vid\": \"d1f0050ca5482db5df190e48d96b07c37467fbba\", \"state\": \"Active\", \"added_date\": \"2021-06-18T13:50:00-07:00\", \"start_billing_sequence\": 0, \"end_billing_sequence\": 0, \"campaign_id\": \"PROMO2_campaign_srbUhpf-vf_dV1wabhfexablOg2\" } ], \"total_count\": 2, \"url\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg\", \"next\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg&starting_after=DIST_STlYDJVoREr3ac47jzf8_DA13Kt\", \"previous\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg&ending_before=DIST_STlYDJVoREr3ac47jzf8_DA14Jg\" }"